package rmihelloworld;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class Client {

    public static void main(String[] args) {

    	final String REGISTRY_ADDRESS = "127.0.0.1";
    	
        try {
            Registry registry = LocateRegistry.getRegistry(REGISTRY_ADDRESS);
            HelloServer helloServerStub = (HelloServer) registry.lookup("Hello");
            String response = helloServerStub.sayHello();
            System.out.println("response: " + response);
            
        } catch (Exception e) {
            System.err.println("Client exception: " + e.toString());
            e.printStackTrace();
        }
    }
}
